#include "..\MaterialDefine.def"

[Technique]
{
  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_DIFFUSE
      TexCoordIndex     = 0

      ColorArg1 = TA_TEXTURE
      ColorArg2 = TA_DIFFUSE
      ColorOp   = TOP_MODULATE

      AlphaArg1 = TA_TEXTURE	
      AlphaOp   = TOP_SELECTARG1

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_CLAMP
      Filter = TF_LINEAR_MIP_LINEAR
    }
    [Layer]
    {
      ColorArg1 = TA_TFACTOR
      ColorArg2 = TA_CURRENT
      ColorOp   = TOP_MODULATE

      AlphaArg1 = TA_CURRENT
      AlphaOp   = TOP_SELECTARG1
      Filter = TF_LINEAR_MIP_LINEAR
    }

    FillMode    = FILL_SOLID
    Cull        = CULL_CW
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = TRUE
    NormalizeNormals    = TRUE
    LocalViewer         = FALSE

    AlphaTestEnable     = TRUE
    AlphaFunc           = CMP_GREATER
    AlphaRef            = 128

    AlphaBlendEnable    = FALSE

    TextureFactor	= 255, 255, 255, 255

    ZWriteEnable        = TRUE
    ZFunc               = CMP_LESS

    DiffuseMaterialSource	= MCS_DIFFUSE
    SpecularMaterialSource	= MCS_MATERIAL
    AmbientMaterialSource	= MCS_MATERIAL
    EmissiveMaterialSource	= MCS_MATERIAL
  }
}
